#importation des fonctions et librairies
from pycaret.classification import load_model, predict_model
import pandas
import gradio

#chargement du modèle de prédiction
modele = load_model("modele_ricco")

#fonction permettant de renvoyer les prédictions
def fonction_prediction(diastolic,bodymass,age,plasma):
    #conversion en dictionnaire
    la_data = {'diastolic': diastolic, 'bodymass': bodymass,'age': age, 'plasma': plasma}
    #conversion en data frame
    df_data = pandas.DataFrame([la_data])
    #appel de la fonction de prédiction
    la_prediction = predict_model(modele,df_data)
    #ne renvoyer que la classe et le score
    return (la_prediction['prediction_label'][0],la_prediction['prediction_score'])

#élaboration de l'interface, spécifiant les inputs (valeur des explicatives)
#et les outputs (classe prédite et score)
mes_composants = gradio.Interface(
    #fonction callback quand on clique sur submit
    fn = fonction_prediction,
    #4 champs en entrée numériques (possible de spécifier des valeurs par défaut)
    inputs = ['number','number','number','number'],
    #2 champs en sortie, texte et numérique
    outputs = [gradio.Text(label='Classe'),gradio.Number(label='Score')],
    title = 'Prédiction pour un individu'
)

#lancement du serveur web
mes_composants.launch()